Compare commits

..

No commits in common. "rawhide" and "f34" have entirely different histories.

9 changed files with 30 additions and 160 deletions

View file

@ -1 +0,0 @@
1

11
.gitignore vendored
View file

@ -69,14 +69,3 @@ iso-codes-3.19.tar.bz2
/iso-codes-iso-codes-4.4.tar.gz
/iso-codes-iso-codes-4.5.0.tar.gz
/iso-codes-iso-codes-4.6.0.tar.gz
/iso-codes-v4.9.0.tar.gz
/iso-codes-v4.10.0.tar.gz
/iso-codes-v4.11.0.tar.gz
/iso-codes-v4.12.0.tar.gz
/iso-codes-v4.13.0.tar.gz
/iso-codes-v4.15.0.tar.gz
/iso-codes-v4.16.0.tar.gz
/iso-codes-v4.17.0.tar.gz
/iso-codes-v4.18.0.tar.gz
/iso-codes-v4.19.0.tar.gz
/iso-codes-v4.20.1.tar.gz

View file

@ -1,14 +1,14 @@
Name: iso-codes
Summary: ISO code lists and translations
Version: 4.20.1
Release: 2%{?dist}
License: LGPL-2.1-or-later
Version: 4.6.0
Release: 1%{?dist}
License: LGPLv2+
URL: https://salsa.debian.org/iso-codes-team/iso-codes
Source0: https://salsa.debian.org/iso-codes-team/%{name}/-/archive/v%{version}/%{name}-v%{version}.tar.gz
Source0: https://salsa.debian.org/iso-codes-team/%{name}/-/archive/%{name}-%{version}/%{name}-%{name}-%{version}.tar.gz
BuildRequires: gettext
BuildRequires: python3
BuildRequires: meson
BuildRequires: make
BuildArch: noarch
# for /usr/share/xml
@ -28,27 +28,20 @@ This package contains the pkg-config files for development
when building programs that use %{name}.
%prep
%autosetup -n %{name}-v%{version}
# The '&' character is not getting parsed using xmllint
# Change it to "and" word
sed -i 's/ & / and /g' data/iso_3166-2.json
%autosetup -n %{name}-%{name}-%{version}
%build
%meson
%meson_build
%configure
%make_build
%install
%meson_install
%check
%meson_test
%make_install INSTALL="%{__install} -p"
%find_lang %{name} --all-name
%files -f %{name}.lang
%doc CHANGELOG.md README.md
%license LICENSES/LGPL-2.1-or-later.txt
%doc ChangeLog.md README.md
%license COPYING
%dir %{_datadir}/xml/iso-codes
%{_datadir}/xml/iso-codes/*.xml
%{_datadir}/iso-codes
@ -57,82 +50,6 @@ sed -i 's/ & / and /g' data/iso_3166-2.json
%{_datadir}/pkgconfig/iso-codes.pc
%changelog
* Fri Jan 02 2026 Parag Nemade <pnemade AT redhat DOT com> - 4.20.1-2
- Upstream moved to meson build system
* Fri Jan 02 2026 Parag Nemade <pnemade AT redhat DOT com> - 4.20.1-1
- Update to 4.20.1 version (#2426701)
* Fri Nov 14 2025 Parag Nemade <pnemade AT redhat DOT com> - 4.19.0-1
- Update to 4.19.0 version (#2413657)
* Thu Jul 24 2025 Fedora Release Engineering <releng@fedoraproject.org> - 4.18.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild
* Sat Apr 12 2025 Parag Nemade <pnemade AT redhat DOT com> - 4.18.0-1
- Update to 4.18.0 version (#2359183)
* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 4.17.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild
* Mon Sep 16 2024 Parag Nemade <pnemade AT redhat DOT com> - 4.17.0-1
- Update to 4.17.0 version (#2312301)
* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.16.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild
* Fri Jul 12 2024 Parag Nemade <pnemade AT redhat DOT com> - 4.16.0-4
- Fix xmllint error for iso_3166-2.xml file
* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.16.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild
* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.16.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild
* Mon Jan 15 2024 Parag Nemade <pnemade AT redhat DOT com> - 4.16.0-1
- Update to 4.16.0 version (#2258341)
* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.15.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
* Fri Apr 28 2023 Parag Nemade <pnemade AT redhat DOT com> - 4.15.0-1
- Update to 4.15.0 version (#2190318)
* Tue Feb 28 2023 Parag Nemade <pnemade AT redhat DOT com> - 4.13.0-1
- Update to 4.13.0 version (#2173897)
* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.12.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild
* Fri Dec 02 2022 Parag Nemade <pnemade AT redhat DOT com> - 4.12.0-2
- Update license tag to SPDX format
* Thu Nov 10 2022 Parag Nemade <pnemade AT redhat DOT com> - 4.12.0-1
- Update to 4.12.0 version (#2140456)
* Mon Jul 25 2022 Parag Nemade <pnemade AT redhat DOT com> - 4.11.0-1
- Update to 4.11.0 version (#2110786)
* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild
* Thu Jun 02 2022 Parag Nemade <pnemade AT redhat DOT com> - 4.10.0-1
- Update to 4.10.0 version (#2092413)
* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild
* Tue Jan 04 2022 Parag Nemade <pnemade AT redhat DOT com> - 4.9.0-1
- Update to 4.9.0 version (#2036757)
* Fri Nov 05 2021 Parag Nemade <pnemade AT redhat DOT com> - 4.8.0-1
- Update to 4.8.0 version (#2019880)
- Adjust upstream tarball Source URL
* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild
* Mon Mar 08 2021 Parag Nemade <pnemade AT redhat DOT com> - 4.6.0-1
- Update to 4.6.0 version (#1936377)

View file

@ -1,5 +0,0 @@
summary: Basic smoke test
discover:
how: fmf
execute:
how: tmt

View file

@ -1 +1 @@
SHA512 (iso-codes-v4.20.1.tar.gz) = 2b5690b109da3d4f969c62f1a9653f6a12f6529794b97d0c834d708ff9a407bc0193047992b2acea7525f4638a68dbd9a6dceec8b0b0d08f23a2fd2e3124b1d2
SHA512 (iso-codes-iso-codes-4.6.0.tar.gz) = fcee802a3f92ef035371ff45fa9d8acbf1e2f490e38d84d2e27d2226d250ad02d088156d0889c0fc0fc09f30c4541b30dc7eb65ca4f40c3764599c1b2143013f

View file

@ -1,7 +0,0 @@
test: ./runtests.sh
duration: 10m
framework: beakerlib
require:
- iso-codes
- python3-jsonschema
- rpm-build

View file

@ -1,41 +0,0 @@
#!/bin/bash
. /usr/share/beakerlib/beakerlib.sh || exit 1
NAME=iso-codes
rlJournalStart
rlPhaseStartSetup
rlAssertRpm ${NAME}
rlShowPackageVersion ${NAME}
rlRun -t -l "VERSION=$(rpm -q ${NAME} --queryformat='%{version}')" 0 "Get VERSION"
rlRun "tmp=\$(mktemp -d)" 0 "Create tmp directory"
rlRun "pushd $tmp"
rlFetchSrcForInstalled "${NAME}"
rlRun "rpm --define '_topdir $tmp' -i *src.rpm"
rlRun -t -l "mkdir BUILD" 0 "Creating BUILD directory"
rlRun -t -l "rpmbuild --noclean --nodeps --define '_topdir $tmp' -bp $tmp/SPECS/*spec"
if [ -d BUILD/${NAME}-${VERSION}-build ]; then
rlRun -t -l "pushd BUILD/${NAME}-${VERSION}-build/${NAME}-v${VERSION}"
else
rlRun -t -l "pushd BUILD/${NAME}-v${VERSION}"
fi
rlPhaseEnd
rlPhaseStartTest
rlRun "set -o pipefail"
rlRun "ls data/iso*.json -l"
rlRun "python3 bin/validate_json_data.py"
rlRun "retval=$?"
rlRun "echo Test return value is $retval"
rlRun "ls data/iso*.json -l"
rlRun "retval2=$?"
rlRun "echo $retval2"
rlRun "popd" 0
rlPhaseEnd
rlPhaseStartCleanup
rlRun "popd"
rlRun "rm -r $tmp" 0 "Remove tmp directory"
rlPhaseEnd
rlJournalEnd

2
tests/run_test.sh → tests/smoke/runtest.sh Executable file → Normal file
View file

@ -3,6 +3,8 @@
# If one of the commands below returns non-zero then exit immediately
set -e
cd ../source
echo "Let's check the upstream data files timestamp"
ls data/iso*.json -l
echo "Validating json data files written with correct syntax"

16
tests/tests.yml Normal file
View file

@ -0,0 +1,16 @@
---
- hosts: localhost
tags:
- classic
roles:
- role: standard-test-source
- hosts: localhost
tags:
- classic
roles:
- role: standard-test-basic
tests:
- smoke
required_packages:
- python3-jsonschema